Passer au contenu principal
GET
/
automation
/
sequences
/
2026-03
/
{sequenceId}
Retrieve sequence
curl --request GET \
  --url https://api.hubapi.com/automation/sequences/2026-03/{sequenceId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "dependencies": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "dependencyType": "MANUAL_PAUSE",
      "id": "<string>",
      "reliesOnSequenceStepId": "<string>",
      "reliesOnStepOrder": 123,
      "requiredBySequenceStepId": "<string>",
      "requiredByStepOrder": 123,
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "id": "<string>",
  "name": "<string>",
  "steps": [
    {
      "actionType": "EMAIL",
      "createdAt": "2023-11-07T05:31:56Z",
      "delayMillis": 123,
      "id": "<string>",
      "stepOrder": 123,
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "userId": "<string>",
  "folderId": "<string>"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

sequenceId
string
requis

The unique identifier of the sequence to retrieve.

Paramètres de requête

userId
string
requis

The unique identifier of the user requesting the sequence details. This parameter is required.

Réponse

successful operation

createdAt
string<date-time>
requis

The date and time when the sequence was created.

dependencies
object[]
requis

An array of dependencies for the sequence steps, each represented as a PublicSequenceStepDependencyResponse object.

id
string
requis

The unique identifier for the sequence.

name
string
requis

The name of the sequence.

steps
object[]
requis

An array of steps included in the sequence, each represented by a PublicSequenceStepResponse object.

updatedAt
string<date-time>
requis

The date and time when the sequence was last updated.

userId
string
requis

The ID of the user associated with the sequence.

folderId
string

The identifier of the folder containing the sequence.

settings
object
Last modified on April 2, 2026